import React from 'react'
import { Form, Slider, Input, Popconfirm } from 'antd'
import { SketchPicker } from 'react-color'
import styles from './index.less'

const StyleHTML = (props) => {

  const { value, onChange } = props

  const backColorChange = (e) => {
    onChange({ ...value, background: e.hex })
  }

  const colorChange = (e) => {
    onChange({ ...value, color: e.hex })
  }

  return (
    <div style={{ paddingLeft: '10px' }}>
      <Form
        name="dynamic_rule"
        layout={'vertical'}
      >
        <Form.Item label="字体颜色">
          <Popconfirm
            overlayClassName={styles.Popconfirmtitle}
            placement="topLeft"
            icon={false}
            title={
              <SketchPicker width="217px" color={value?.color} onChange={e => colorChange(e)} />
            }
          >
            <div className={styles.borderColor}>
              <div
                style={{
                  background: value?.color,
                  width: '18px',
                  height: '10px',
                  marginLeft: '1px',
                  marginTop: '4px',
                }}
              />
            </div>
          </Popconfirm>
        </Form.Item>
        <Form.Item label="背景色">
          <Popconfirm
            overlayClassName={styles.Popconfirmtitle}
            placement="topLeft"
            icon={false}
            title={
              <SketchPicker width="217px" color={value?.background} onChange={e => backColorChange(e)} />
            }
          >
            <div className={styles.borderColor}>
              <div
                style={{
                  background: value?.background,
                  width: '18px',
                  height: '10px',
                  marginLeft: '1px',
                  marginTop: '4px',
                }}
              />
            </div>
          </Popconfirm>
        </Form.Item>
        <Form.Item label="内边距(%)">
          <Slider
            defaultValue={0}
            min={0}
            max={100}
            value={value?.padding}
            onChange={padding => onChange({ ...value, padding: padding })}
          />
        </Form.Item>
      </Form>
    </div>
  )

}

export default StyleHTML